/*
Graceful for MSP430FR5739:

Graceful: Software-based approach to hibernate and restore and DFS
in response to the harvested energy. This software exploits two external comparators.

Citation: If you are using this code for your research please cite:

D. Balsamo et al., "Graceful Performance Modulation for Power-Neutral Transient Computing Systems," 
in IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems,
vol. 35, no. 5, pp. 738-749, May 2016. doi: 10.1109/TCAD.2016.2527713

This research has been supported by the University of Southampton and the University of Bologna.
Copyright 2018, Domenico Balsamo, All rights reserved.
06/02/2019
*/



#include <msp430.h> 
#include "MyFFT.h"
#include "MyFFT_TestHarness.h"


/*
 * main.c
 */

#pragma SET_DATA_SECTION(".fram_vars")
unsigned int CC_check;

extern unsigned long int *FRAM_write_ptr;

//This pointer is used to copy the RAM
extern unsigned long int *RAM_copy_ptr; // define a pointer for memory copy

int counter=0;

//These pointers and variable are used to set the PC
extern unsigned long int *FRAM_pc;
extern unsigned long int* current_SP;
#pragma SET_DATA_SECTION()

unsigned int count=0;
unsigned int l=0;

#define CC 0xEFF6

long int j;

#define MyFFT_TEST_BUFFER_LENGTH		MyFFT_INPUT_LENGTH

MyFFT_Workspace_t MyFFT_TestBuffer[MyFFT_TEST_BUFFER_LENGTH];

volatile static int ErrorCount=0; // Note. static used for easier debugging

long int g=0;

 int main(void) {

	WDTCTL = WDTPW | WDTHOLD;	// Stop watchdog timer

	//MCU ON

	P3DIR |= BIT2;
	P3OUT |= BIT2; // LED  ON

//	 while(1);

	//This Pin P1.4 is not working properly. don't use.

    P1OUT &= ~(BIT4);
    P1DIR |= BIT4;


	GPIO_configuration();

    // MCLK output in PJ.1

	PJDIR |= BIT1;
	PJSEL1 &= ~(BIT1);
	PJSEL0 |= BIT1;


    //Restore Function


    volatile int i=0;

    SystemInit();


    while(1){


    	P2DIR |= BIT6;
    	P2OUT |= BIT6; // LED  ON

        //write your main here 


    	//Main completed 

    	P2OUT &= ~(BIT6); // LED  OFF
    	P3OUT &= ~(BIT2); // LED  OFF

    	// LPM4
    	//__bis_SR_register(LPM4_bits);        // LPM0, ADC10_ISR will force exit
    	//__no_operation();
		
/*
    	P3DIR |= BIT7;
    	P3OUT |= BIT7; // LED  ON

    	P3OUT &= ~(BIT2); // LED  OFF


  		// LPM4
  		__bis_SR_register(LPM4_bits);        // LPM0, ADC10_ISR will force exit
  		__no_operation();

*/

       j=0;

  	   while(j<1000){
  	     	j++;
  	     }



    }


}


